;+
;
; @file_comments
; gives the name of a month
;
; @categories
; Calendar,String
;
; @param month {in}{required} {type=scalar or array}
; the month number (from 1 to 12).
;
; @keyword _EXTRA
; Used to pass keywords to <proidl>STRING</proidl> function
;
; @returns
; the month names, a string with the same number of elements than month.
;
; @examples
;   IDL> print, monthname([2,3])
;   February March
;   IDL> print, monthname(2, format='(C(CMOA0))')
;   FEBRUARY
;   IDL> print, monthname(2, format='(C(CmoA03,":"))')
;   feb
;
; @history
; Sebastien Masson (smasson\@lodyc.jussieu.fr)
;                      1 October 2001
;
; @version
; $Id$
;
;-
FUNCTION monthname, month, _EXTRA=ex
;
  compile_opt idl2, strictarrsubs
;
   return, string(format='(C(CMoA0))',31*(month-1), _EXTRA = ex)
end
